#pragma once

#include "Mat.h"

namespace Domination {
	namespace Unmanaged {
		namespace OpenCV {

			public ref class OperationsOnArrays {
			public:
				static void absdiff(Mat^ src1, Mat^ src2, Mat^ dst);
				static void add(Mat^ src1, Mat^ src2, Mat^ dst);
				static void subtract(Mat^ src1, Mat^ src2, Mat^ dst);

				static void flip(Mat^ src, Mat^ dst);
				static void flip(Mat^ src, Mat^ dst, int flipCode);

				static void inRange(Mat^ src, System::Tuple<double, double, double>^ lowerb, System::Tuple<double, double, double>^ upperb, Mat^ dst);
			};
		}
	}
}